Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Apache::ImageMagick

Discussion in 'EasyApache' started by gemby, Mar 10, 2002.

  1. gemby

    gemby Well-Known Member
    PartnerNOC

    Joined:
    Feb 16, 2002
    Messages:
    182
    Likes Received:
    0
    Trophy Points:
    316
    Location:
    Pula, Croatia
    cPanel Access Level:
    DataCenter Provider
    Instaled folowing rpm-s:
    bzip2-1.0.1-3.i386.rpm
    ImageMagick-5.4.2-2.i386.rpm
    ImageMagick-devel-5.4.2-2.i386.rpm
    ImageMagick-Magick++-5.4.2-2.i386.rpm
    ImageMagick-perl-5.4.2-2.i386.rpm
    jasper-1.500.3-1.i386.rpm
    jasper-devel-1.500.3-1.i386.rpm

    I have latest version of apache (upgraded few days ago), apache::asp, fronpage 2002, everything is built fine, and works as should. ( except mailman - says error 500, but i disabled suexec, and now it works, with lot of junk in error_log)
    I have JSP on that server, and have mod_perl enabled.
    When i tried to install apache::Imagemagick, it says it's up to date (but it is not listed in list of perl modules)
    when i add folowing in httpd.conf ( below DSO section )

    &Location /images&
    PerlFixupHandler Apache::ImageMagick
    PerlSetVar AIMCasheDir /var/aimcashe
    &/Location&

    all folders an files below /images are invisible for me in all accounts :-(((

    What can i do now, where to check, is it ok to work that way, or there is something wrong with it?
     
  2. shaun

    shaun Well-Known Member

    Joined:
    Nov 9, 2001
    Messages:
    698
    Likes Received:
    0
    Trophy Points:
    316
    Location:
    San Clemente, Ca
    I just installed this on a server, had the same exact problem. What ever moron built the RPM's i guess only took in consideration for perl 5.6.0 or somthing (I guess i could be wrong) all i know is when i tryed to find / -iname Magick.pm it came up under the 5.6.0 dir rather than 5.6.1. Then you'd try to install the module via perl -MCPAN - shell and it said it was up2date but it Lied!!! Yes, that's right Lied!! I felt Violated, Hurt, i wanted to cry, but then i remembered old trusty &Make& and decided to Try the sneak attack method and download the source and run a perl Makefile.PL; make;make test;make install and it worked!!! I was so excited i couldnt beleive it, I threw my hands up into the air and the crowd cheered! Yahhhh!!!

    Lol, can you guys tell i'm pretty board/wired this sunday afternoon? If you need some help give me a AIM. octekshaun i'll see if i can help.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. gemby

    gemby Well-Known Member
    PartnerNOC

    Joined:
    Feb 16, 2002
    Messages:
    182
    Likes Received:
    0
    Trophy Points:
    316
    Location:
    Pula, Croatia
    cPanel Access Level:
    DataCenter Provider
    Thanks Shaun, i'll try to instal it by hand.
     
  4. gemby

    gemby Well-Known Member
    PartnerNOC

    Joined:
    Feb 16, 2002
    Messages:
    182
    Likes Received:
    0
    Trophy Points:
    316
    Location:
    Pula, Croatia
    cPanel Access Level:
    DataCenter Provider
    I tried to install by hand, but still doesn't work, it also shows wrong version of perl (it shows 5.06, but i upgraded to 5.6)
    What could be a problem?
     
  5. DataDork

    DataDork Active Member

    Joined:
    Apr 11, 2003
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    156
    I got the same problem here. Does anyone know of a solution to this?

    Thanks in advance.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice